package com.itheima.springboot_mq.config;

import org.apache.activemq.ActiveMQConnectionFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.jms.config.DefaultJmsListenerContainerFactory;
import org.springframework.jms.config.JmsListenerContainerFactory;

@Configuration
public class ListenerContainerConfig {

    //配置监听Queue的监听容器工程
    @Bean("queueListenerContainer")
    public JmsListenerContainerFactory queueListenerContainer(ActiveMQConnectionFactory connectionFactory) {
        DefaultJmsListenerContainerFactory bean = new DefaultJmsListenerContainerFactory();
        bean.setPubSubDomain(false);//监听的是Queue
        bean.setConnectionFactory(connectionFactory);
        return bean;
    }

    //配置监听Topic的监听容器工程
    @Bean("topicListenerContainer")
    public JmsListenerContainerFactory topicListenerContainer(ActiveMQConnectionFactory connectionFactory) {
        DefaultJmsListenerContainerFactory bean = new DefaultJmsListenerContainerFactory();
        bean.setPubSubDomain(true);//监听的是Topic
        bean.setConnectionFactory(connectionFactory);
        return bean;
    }
}
