package com.itheima.springboot_mq.config;

import org.apache.activemq.command.ActiveMQQueue;
import org.apache.activemq.command.ActiveMQTopic;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.jms.Queue;
import javax.jms.Topic;

/**
 * Destination bean配置类
 */
@Configuration
public class ProducerConfig {
    //创建名为queue_msg的QUEUE
    @Bean
    public Queue createQueue(){
        return new ActiveMQQueue("queue_msg");
    }

    //创建名为topic_msg的TOPIC
    @Bean
    public Topic createTopic(){
        return new ActiveMQTopic("topic_msg");
    }
}
