package com.itheima.springboot_mq;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.jms.core.JmsMessagingTemplate;
import org.springframework.test.context.junit4.SpringRunner;

import javax.jms.Queue;
import javax.jms.Topic;

@RunWith(SpringRunner.class)
@SpringBootTest
public class SpringbootMqApplicationTests {


    @Autowired
    private Queue queue;//注入配置好的Queue

    @Autowired
    private Topic topic;//注入配置好的Topic

    @Autowired
    private JmsMessagingTemplate jmsMessagingTemplate;//使用该模板类发送消息

    @Test
    public void sendMessage() {
        //向Queue中发送文本消息
        jmsMessagingTemplate.convertAndSend(queue,"\"QUEUE消息内容\"");
        //向Topic中发送文本消息
        jmsMessagingTemplate.convertAndSend(topic,"\"TOPIC消息内容\"");
    }
}

